// Hier ist Bedienung von Indikator 
#ifndef INDIKATOR
#define INDIKATOR 1

// Einschalten fuer Indikator 
#define RASR_MAX 4	/* Anzahl von Ziffer */

#define PRASR PORTC /* Port fuer gemeinsame Kathoden */
#define DDR_RASR DDRC /* Richtungsport fuer gemeinsame Kathoden */
#define RAS0 PC5	/* Ziffer 1 (links) 1=ein */
#define RAS1 PC4	/* Ziffer 2 */
#define RAS2 PC3	/* Ziffer 3 */
#define RAS3 PC2	/* Ziffer 4 (rechts) */

#define PSEG PORTD /* Port fuer Segmente-Anode */
#define DDR_SEG DDRD /* Richtungsport fuer Segmente-Anode */
#define SEG_A PD7	/* Segmentenschaltung 1=ein */
#define SEG_B PD0
#define SEG_C PD2
#define SEG_D PD4
#define SEG_E PD5
#define SEG_F PD6
#define SEG_G PD1
#define SEG_H PD3

/* Prototype */

void ind(void); // Bedienung fuer dynamische Indikation 

void sekdec(int a); // Die Funktion wandelt A im Bereich 0-5999 
// nach BCD und gibt Ergebnis in Puffer zif_ind heraus. 

void sym_ind(char a, char b, char c, char d); // Bringt Kode a, b, c, d 
// in Indikatorpuffer. 1,2,3,4. Eingefuehrt, um Array zif_ind[4] nicht nach 
// aussen sichtbar zu machen.  

void init_indikator(void);

#endif
