/* Hier sind Makros fuer 7-Segment-Indikator beschrieben */
/* Indikatorschaltung ist in indikator.h beschrieben */

#ifndef SEMISEGMENT
#define SEMISEGMENT 1

//   
// RAS0 - RAS3  SEG_A - SEG_H sind in File indikator.h eingegeben
#define RASR_0 (1<<RAS0)	/* Kathode Ziffer 0 in 1 setzen */
#define RASR_1 (1<<RAS1)	/* Kathode Ziffer 1 in 1 setzen */
#define RASR_2 (1<<RAS2)	/* Kathode Ziffer 2 in 1 setzen */
#define RASR_3 (1<<RAS3)	/* Kathode Ziffer 3 in 1 setzen */

#define RAS_AUS (PRASR &= ~(RASR_0|RASR_1|RASR_2|RASR_3)) /* Rasr Ausschalten */
#define RAS_EIN (PRASR |= RASR_0|RASR_1|RASR_2|RASR_3) /* Rasr Einschalten */
#define RAS_OUT (DDR_RASR |= RASR_0|RASR_1|RASR_2|RASR_3) /* Rasr Ausgaenge */
#define RAS_IN (DDR_RASR &= ~(RASR_0|RASR_1|RASR_2|RASR_3)) /* Rasr Eingaenge */


/*   */
#define ZIF_0 (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_C)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_F)
#define ZIF_1 (1<<SEG_B)|(1<<SEG_C)
#define ZIF_2 (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_G)
#define ZIF_3 (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_C)|(1<<SEG_D)|(1<<SEG_G)
#define ZIF_4 (1<<SEG_B)|(1<<SEG_C)|(1<<SEG_F)|(1<<SEG_G)
#define ZIF_5 (1<<SEG_A)|(1<<SEG_C)|(1<<SEG_D)|(1<<SEG_F)|(1<<SEG_G)
#define ZIF_6 (1<<SEG_A)|(1<<SEG_C)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
#define ZIF_7 (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_C)
#define ZIF_8 (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_C)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
#define ZIF_9 (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_C)|(1<<SEG_D)|(1<<SEG_F)|(1<<SEG_G)
#define ZIF_a (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_C)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
#define ZIF_b (1<<SEG_C)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
#define ZIF_c (1<<SEG_A)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_F)
#define ZIF_d (1<<SEG_B)|(1<<SEG_C)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_G)
#define ZIF_e (1<<SEG_A)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
#define ZIF_f (1<<SEG_A)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
/* 0x10 "-" */
#define ZIF_MINUS (1<<SEG_G)
/* 0x11 */
#define ZIF_P (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
/* 0x12 */
#define ZIF_PUM (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_C)|(1<<SEG_F)|(1<<SEG_G)
/* 0x13 */
#define ZIF_PR (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_C)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
/* 0x14 */
#define ZIF_PRK (1<<SEG_C)|(1<<SEG_E)|(1<<SEG_G)
/* 0x15 */
#define ZIF_h (1<<SEG_C)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
/* 0x16 */
#define ZIF_H (1<<SEG_B)|(1<<SEG_C)|(1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
/* 0x17 */
#define ZIF_KLAML (1<<SEG_A)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_F)
/* 0x18 */
#define ZIF_KLAMR (1<<SEG_A)|(1<<SEG_B)|(1<<SEG_C)|(1<<SEG_D)
/* 0x19 */
#define ZIF_KLL_KL (1<<SEG_D)|(1<<SEG_E)|(1<<SEG_G)
/* 0x1a */
#define ZIF_KLR_KL (1<<SEG_C)|(1<<SEG_D)|(1<<SEG_G)
/* 0x1b */
#define ZIF_TL (1<<SEG_E)|(1<<SEG_F)|(1<<SEG_G)
/* 0x1c */
#define ZIF_TR (1<<SEG_B)|(1<<SEG_C)|(1<<SEG_G)
/* 0x1d "U" */
#define ZIF_U (1<<SEG_B)|(1<<SEG_C)|(1<<SEG_D)|(1<<SEG_E)|(1<<SEG_F)
/* 0x1e "u" */
#define ZIF_UK (1<<SEG_C)|(1<<SEG_D)|(1<<SEG_E)
/* 0x1f */
#define ZIF_LEER 0

#endif
