#ifndef TIME
#define TIME 1

#define T_IND 4		/* Koeff. fuer Ind. */
#define T_SEK 1250	/* Koeff. fuer Sek. */
#define T_DP 625	/* Koeff. fuer ":" */

void time_puls(void); // Systemsynchr.: Puls fuer Indikator,
// Tastatur, Sekundenpuls. Wird 1250 mal pro Sek. gerufen
// Setzt Flags fuer Ereignisse ( Indikator bedienen, Sekunden zaehlen,
// Doppelpunkt blinken )

void init_time(); // Zeit initialisieren

void sekdel_null();	// Sekunden-Divider = 0

void dp_null(); // Doppelpunkt-Divider = 0 und DP = 1

void sek_decrement(); // Sekundenzaehler decrement. 
// Wenn 0,UV aus und EF_SEK = 0

// Schall einschalten
void schall_ein(unsigned int laenge, unsigned int freq); // Schalldauer in ms; 
// freq = K_Frequenz

void flagg_controlle(void); // Pruefung auf Ereignisse und Reaktion

#endif
